NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::StyledSweepBuilder Class Reference

Represents a NXOpen::Features::StyledSweep builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateStyledSweepBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::StyledSweepBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  FixedStringOptions { FixedStringOptionsGuide, FixedStringOptionsSection, FixedStringOptionsGuideAndSection }
 This enum represents the Fixed String option. More...
 
enum  ScalingMethodOptions { ScalingMethodOptionsUniform, ScalingMethodOptionsNonuniform, ScalingMethodOptionsScalingCurve }
 This enum represents the Scaling Method option. More...
 
enum  SectionOrientationOptions {
  SectionOrientationOptionsTranslate, SectionOrientationOptionsKeepAngle, SectionOrientationOptionsMakeNormal, SectionOrientationOptionsUserDefined,
  SectionOrientationOptionsArcLength
}
 This enum represents the Section Orientation option. More...
 
enum  TransitionOptions { TransitionOptionsLinear, TransitionOptionsCubic, TransitionOptionsBlend }
 This enum represents the Transition option. More...
 
enum  Types { TypesOneGuide, TypesOneGuideOneTouch, TypesOneGuideOneOrientation, TypesTwoGuides }
 This enum represents the sweep type option (Number of Guides) More...
 

Public Member Functions

int AlternateSolution ()
 Returns the alternate solution. More...
 
NXOpen::GeometricUtilities::StyledSweepDoubleOnPathDimBuilderCreatePivotSet (double value1, double value2, NXOpen::Curve *path1, NXOpen::Curve *path2)
 Creates a new pivot set. More...
 
NXOpen::GeometricUtilities::RotationSetBuilderCreateRotationSet (double value, double pathPar, NXOpen::Curve *path)
 Creates a new rotation set. More...
 
NXOpen::GeometricUtilities::ScalingSetBuilderCreateScalingSet (double valuePar, double depthPar, double pathPar, NXOpen::Curve *path)
 Creates a new scaling set. More...
 
void EndInsertingSection ()
 Ends inserting section. More...
 
NXOpen::SectionFirstGuide ()
 Returns the first guide
Created in NX6.0.0. More...
 
NXOpen::Features::StyledSweepBuilder::FixedStringOptions FixedStringOption ()
 Returns the fixed string option
Created in NX6.0.0. More...
 
double G0Tolerance ()
 Returns the G0 (Position) tolerance. More...
 
double G1Tolerance ()
 Returns the G1 (Tangent) tolerance. More...
 
NXOpen::GeometricUtilities::RebuildGuideRebuildData ()
 Returns the guide rebuild data
Created in NX6.0.0. More...
 
NXOpen::SectionListInsertedSectionList ()
 Returns the list of inserted sections
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::StyledSweepDoubleOnPathDimBuilderListPivotSetList ()
 Returns the list of pivot sets
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::StyledSweepReferenceMethodBuilderReferenceMethod ()
 Returns the reference method
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::RotationSetBuilderListRotationSetList ()
 Returns the list of rotation sets
Created in NX6.0.0. More...
 
NXOpen::SectionScalingCurve ()
 Returns the scaling curve
Created in NX6.0.0. More...
 
NXOpen::Features::StyledSweepBuilder::ScalingMethodOptions ScalingMethodOption ()
 Returns the scaling method option
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::ScalingSetBuilderListScalingSetList ()
 Returns the list of scaling sets
Created in NX6.0.0. More...
 
NXOpen::SectionSecondGuide ()
 Returns the second guide
Created in NX6.0.0. More...
 
NXOpen::SectionListSectionList ()
 Returns the list of sections. More...
 
NXOpen::Features::StyledSweepBuilder::SectionOrientationOptions SectionOrientationOption ()
 Returns the section orientation option
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::RebuildSectionRebuildData ()
 Returns the section rebuild data
Created in NX6.0.0. More...
 
void SetAlternateSolution (int alternateSolution)
 Sets the alternate solution. More...
 
void SetFixedStringOption (NXOpen::Features::StyledSweepBuilder::FixedStringOptions fixedStringOption)
 Sets the fixed string option
Created in NX6.0.0. More...
 
void SetG0Tolerance (double g0Tolerance)
 Sets the G0 (Position) tolerance. More...
 
void SetG1Tolerance (double g1Tolerance)
 Sets the G1 (Tangent) tolerance. More...
 
void SetScalingMethodOption (NXOpen::Features::StyledSweepBuilder::ScalingMethodOptions scalingMethodOption)
 Sets the scaling method option
Created in NX6.0.0. More...
 
void SetSectionOrientationOption (NXOpen::Features::StyledSweepBuilder::SectionOrientationOptions sectionOrientationOption)
 Sets the section orientation option
Created in NX6.0.0. More...
 
void SetTransitionOption (NXOpen::Features::StyledSweepBuilder::TransitionOptions transitionOption)
 Sets the transition option
Created in NX6.0.0. More...
 
void SetType (NXOpen::Features::StyledSweepBuilder::Types type)
 Sets the sweep type
Created in NX6.0.0. More...
 
void StartInsertingSection (const std::vector< double > &insertPnt)
 Starts inserting section. More...
 
NXOpen::GeometricUtilities::SurfaceRangeBuilderSurfaceRange ()
 Returns the surface range
Created in NX6.0.0. More...
 
NXOpen::Features::StyledSweepBuilder::TransitionOptions TransitionOption ()
 Returns the transition option
Created in NX6.0.0. More...
 
NXOpen::Features::StyledSweepBuilder::Types Type ()
 Returns the sweep type
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::StyledSweep builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateStyledSweepBuilder
Default values.

Property Value

FixedStringOption

Guide

GuideRebuildData.Degree

3

GuideRebuildData.RebuildType

None

ReferenceMethod.ReferenceOption

ToGuide

ScalingMethodOption

Uniform

SectionOrientationOption

KeepAngle

SectionRebuildData.Degree

3

SectionRebuildData.RebuildType

None

SurfaceRange.AnchorPosition

Vertex1

TransitionOption

Blend


Created in NX6.0.0.

Member Enumeration Documentation

This enum represents the Fixed String option.

Enumerator
FixedStringOptionsGuide 

Guide.

FixedStringOptionsSection 

Section.

FixedStringOptionsGuideAndSection 

Guide and Section.

This enum represents the Scaling Method option.

Enumerator
ScalingMethodOptionsUniform 

Uniform.

ScalingMethodOptionsNonuniform 

Non-Uniform.

ScalingMethodOptionsScalingCurve 

Scaling Curve.

This enum represents the Section Orientation option.

Enumerator
SectionOrientationOptionsTranslate 

Translate.

SectionOrientationOptionsKeepAngle 

Keep Angle.

SectionOrientationOptionsMakeNormal 

Make Normal.

SectionOrientationOptionsUserDefined 

User Defined.

SectionOrientationOptionsArcLength 

Arc Length.

This enum represents the Transition option.

Enumerator
TransitionOptionsLinear 

Linear.

TransitionOptionsCubic 

Cubic.

TransitionOptionsBlend 

Blend.

This enum represents the sweep type option (Number of Guides)

Enumerator
TypesOneGuide 

1 Guide

TypesOneGuideOneTouch 

1 Guide 1 Touch

TypesOneGuideOneOrientation 

1 Guide 1 Orientation

TypesTwoGuides 

2 Guides

Member Function Documentation

int NXOpen::Features::StyledSweepBuilder::AlternateSolution ( )

Returns the alternate solution.

This property can be used only when Type is being set to 1 Guide/1 Guide 1 Touch/1 Guide 1 Orientation and orientation method is set to user_defined. For now, alternateSolution = 1, means automatically initial orientation, = 0, means no
Created in NX6.0.0.

License requirements : None

NXOpen::GeometricUtilities::StyledSweepDoubleOnPathDimBuilder* NXOpen::Features::StyledSweepBuilder::CreatePivotSet ( double  value1,
double  value2,
NXOpen::Curve path1,
NXOpen::Curve path2 
)

Creates a new pivot set.

Returns
StyledSweepDoubleOnPathDimBuilder Object
Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
Parameters
value1Point on section
value2Point on guide
path1The path of point on section
path2The path of point on guide
NXOpen::GeometricUtilities::RotationSetBuilder* NXOpen::Features::StyledSweepBuilder::CreateRotationSet ( double  value,
double  pathPar,
NXOpen::Curve path 
)

Creates a new rotation set.

Returns
RotationSetBuilder Object
Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
Parameters
valueRotation angle
pathParRotation position
pathThe path of on path dim
NXOpen::GeometricUtilities::ScalingSetBuilder* NXOpen::Features::StyledSweepBuilder::CreateScalingSet ( double  valuePar,
double  depthPar,
double  pathPar,
NXOpen::Curve path 
)

Creates a new scaling set.

Returns
ScalingSetBuilder Object
Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
Parameters
valueParScaling value
depthParDepth value
pathParDepth position
pathThe path of on path dim
void NXOpen::Features::StyledSweepBuilder::EndInsertingSection ( )

Ends inserting section.

The client should call this API whenever he finishes inserting a section.
Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

NXOpen::Section* NXOpen::Features::StyledSweepBuilder::FirstGuide ( )

Returns the first guide
Created in NX6.0.0.



License requirements : None

NXOpen::Features::StyledSweepBuilder::FixedStringOptions NXOpen::Features::StyledSweepBuilder::FixedStringOption ( )

Returns the fixed string option
Created in NX6.0.0.



License requirements : None

double NXOpen::Features::StyledSweepBuilder::G0Tolerance ( )

Returns the G0 (Position) tolerance.


Created in NX6.0.0.

License requirements : None

double NXOpen::Features::StyledSweepBuilder::G1Tolerance ( )

Returns the G1 (Tangent) tolerance.


Created in NX6.0.0.

License requirements : None

NXOpen::GeometricUtilities::Rebuild* NXOpen::Features::StyledSweepBuilder::GuideRebuildData ( )

Returns the guide rebuild data
Created in NX6.0.0.



License requirements : None

NXOpen::SectionList* NXOpen::Features::StyledSweepBuilder::InsertedSectionList ( )

Returns the list of inserted sections
Created in NX6.0.0.



License requirements : None

NXOpen::GeometricUtilities::StyledSweepDoubleOnPathDimBuilderList* NXOpen::Features::StyledSweepBuilder::PivotSetList ( )

Returns the list of pivot sets
Created in NX6.0.0.



License requirements : None

NXOpen::GeometricUtilities::StyledSweepReferenceMethodBuilder* NXOpen::Features::StyledSweepBuilder::ReferenceMethod ( )

Returns the reference method
Created in NX6.0.0.



License requirements : None

NXOpen::GeometricUtilities::RotationSetBuilderList* NXOpen::Features::StyledSweepBuilder::RotationSetList ( )

Returns the list of rotation sets
Created in NX6.0.0.



License requirements : None

NXOpen::Section* NXOpen::Features::StyledSweepBuilder::ScalingCurve ( )

Returns the scaling curve
Created in NX6.0.0.



License requirements : None

NXOpen::Features::StyledSweepBuilder::ScalingMethodOptions NXOpen::Features::StyledSweepBuilder::ScalingMethodOption ( )

Returns the scaling method option
Created in NX6.0.0.



License requirements : None

NXOpen::GeometricUtilities::ScalingSetBuilderList* NXOpen::Features::StyledSweepBuilder::ScalingSetList ( )

Returns the list of scaling sets
Created in NX6.0.0.



License requirements : None

NXOpen::Section* NXOpen::Features::StyledSweepBuilder::SecondGuide ( )

Returns the second guide
Created in NX6.0.0.



License requirements : None

NXOpen::SectionList* NXOpen::Features::StyledSweepBuilder::SectionList ( )

Returns the list of sections.

At least 1 section is required.
Created in NX6.0.0.

License requirements : None

NXOpen::Features::StyledSweepBuilder::SectionOrientationOptions NXOpen::Features::StyledSweepBuilder::SectionOrientationOption ( )

Returns the section orientation option
Created in NX6.0.0.



License requirements : None

NXOpen::GeometricUtilities::Rebuild* NXOpen::Features::StyledSweepBuilder::SectionRebuildData ( )

Returns the section rebuild data
Created in NX6.0.0.



License requirements : None

void NXOpen::Features::StyledSweepBuilder::SetAlternateSolution ( int  alternateSolution)

Sets the alternate solution.

This property can be used only when Type is being set to 1 Guide/1 Guide 1 Touch/1 Guide 1 Orientation and orientation method is set to user_defined. For now, alternateSolution = 1, means automatically initial orientation, = 0, means no
Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
alternateSolutionalternatesolution
void NXOpen::Features::StyledSweepBuilder::SetFixedStringOption ( NXOpen::Features::StyledSweepBuilder::FixedStringOptions  fixedStringOption)

Sets the fixed string option
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
fixedStringOptionfixedstringoption
void NXOpen::Features::StyledSweepBuilder::SetG0Tolerance ( double  g0Tolerance)

Sets the G0 (Position) tolerance.


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
g0Toleranceg0tolerance
void NXOpen::Features::StyledSweepBuilder::SetG1Tolerance ( double  g1Tolerance)

Sets the G1 (Tangent) tolerance.


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
g1Toleranceg1tolerance
void NXOpen::Features::StyledSweepBuilder::SetScalingMethodOption ( NXOpen::Features::StyledSweepBuilder::ScalingMethodOptions  scalingMethodOption)

Sets the scaling method option
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
scalingMethodOptionscalingmethodoption
void NXOpen::Features::StyledSweepBuilder::SetSectionOrientationOption ( NXOpen::Features::StyledSweepBuilder::SectionOrientationOptions  sectionOrientationOption)

Sets the section orientation option
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
sectionOrientationOptionsectionorientationoption
void NXOpen::Features::StyledSweepBuilder::SetTransitionOption ( NXOpen::Features::StyledSweepBuilder::TransitionOptions  transitionOption)

Sets the transition option
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
transitionOptiontransitionoption
void NXOpen::Features::StyledSweepBuilder::SetType ( NXOpen::Features::StyledSweepBuilder::Types  type)

Sets the sweep type
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
typetype
void NXOpen::Features::StyledSweepBuilder::StartInsertingSection ( const std::vector< double > &  insertPnt)

Starts inserting section.

The client should call this API whenever he starts inserting a section. According to the insert point, the application automatically computes the closed point on the current surface, then extracts an iso curve to create a UG curve and add this curve into the section. Note: After the client calls this API, he needs to create a pivot set, a rotation set, a scaling set and a Section in turn, then he needs to insert them to the corresponding set list separately.
Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
insertPntInsert point - the point on guide curve is better
NXOpen::GeometricUtilities::SurfaceRangeBuilder* NXOpen::Features::StyledSweepBuilder::SurfaceRange ( )

Returns the surface range
Created in NX6.0.0.



License requirements : None

NXOpen::Features::StyledSweepBuilder::TransitionOptions NXOpen::Features::StyledSweepBuilder::TransitionOption ( )

Returns the transition option
Created in NX6.0.0.



License requirements : None

NXOpen::Features::StyledSweepBuilder::Types NXOpen::Features::StyledSweepBuilder::Type ( )

Returns the sweep type
Created in NX6.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.